
/* Tiny Movie Manager (TMM)
 * 2008 by Tobias W. Kjeldsen 
 * feel free to email: tobias@wkjeldsen.dk
 * third party contributors; Calvin Tai - for his Ftp Bean library */

package tmm;

import java.io.Serializable;
import java.text.DecimalFormat;
import java.text.NumberFormat;


public class Movie implements Serializable {

    private String name;
    private int length;
    private String format;
    private String director;
    private int releaseyear;
    private int numbercds;
    private int movieid;

    public Movie(int movieid, String name, int length, String format, String director, int releaseyear, int numbercds) {
        this.name = name;
        this.length = length;
        this.format = format;
        this.director = director;
        this.releaseyear = releaseyear;
        this.numbercds = numbercds;
        this.movieid = movieid;
    }

    public String getDirector() {
        return director;
    }

    public String getFormat() {
        return format;
    }

    public int getLength() {
        return length;
    }

    public String getName() {
        return name;
    }

    public int getNumbercds() {
        return numbercds;
    }

    public int getReleaseyear() {
        return releaseyear;
    }

    public int getMovieid() {
        return movieid;
    }
    
    @Override
    public String toString() {
        NumberFormat formatter = new DecimalFormat("#.##");
        return "<b><font color=gray>" + movieid + ".</font></b> <font color=green size=5>" + name + "</font> (" + releaseyear + ")<hr>Runtime (hours): <b>" + formatter.format((double)(length * 60)/3600) + "</b>, Director: <b>" + director + "</b>, CDs / Parts: <b>" + numbercds + "</b>, Format: <b>" + format + "</b>";
    }
}
