
/* Tiny Movie Manager (TMM)
 * 2008 by Tobias W. Kjeldsen 
 * feel free to email: tobias@wkjeldsen.dk
 * third party contributors; Calvin Tai - for his Ftp Bean library */
package tmm;

import java.awt.Image;
import java.util.StringTokenizer;
import javax.swing.UIManager;

public class StartUI extends javax.swing.JFrame {

    private Controller control;

    /** Creates new form StartUI */
    public StartUI() {
        try {
            UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
        } catch (Exception ex) {
            System.out.println(ex);
        }
        control = new Controller();

        initComponents();

        jDialog_popupmoviebox.setSize(300, 200);
        jDialog_statistics.setSize(200, 200);
        jDialog_allmovies.setSize(400, 200);
        jDialog_ftpsettings.setSize(400, 340);
        jDialog_about.setSize(400, 200);
        jDialog_IMDBimport.setSize(380, 430);

        /* we define the application icons for TMM */
        Image icon = this.getToolkit().getImage(getClass().getResource("/tmm/avis.png"));
        this.setIconImage(icon);
        jDialog_statistics.setIconImage(icon);
        jDialog_popupmoviebox.setIconImage(icon);
        jDialog_allmovies.setIconImage(icon);
        jDialog_ftpsettings.setIconImage(icon);
        jDialog_about.setIconImage(icon);
        jDialog_IMDBimport.setIconImage(icon);
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jDialog_popupmoviebox = new javax.swing.JDialog();
        jLabel_movieinfo = new javax.swing.JLabel();
        jDialog_statistics = new javax.swing.JDialog();
        jPanel1 = new javax.swing.JPanel();
        jPanel2 = new javax.swing.JPanel();
        jLabel_statistics = new javax.swing.JLabel();
        jDialog_allmovies = new javax.swing.JDialog();
        jPanel3 = new javax.swing.JPanel();
        jTextField_searchfield = new javax.swing.JTextField();
        jScrollPane2 = new javax.swing.JScrollPane();
        jList_allmovies = new javax.swing.JList();
        jDialog_ftpsettings = new javax.swing.JDialog();
        jPanel5 = new javax.swing.JPanel();
        jPanel6 = new javax.swing.JPanel();
        jLabel10 = new javax.swing.JLabel();
        jLabel11 = new javax.swing.JLabel();
        jTextField_serveraddress = new javax.swing.JTextField();
        jLabel12 = new javax.swing.JLabel();
        jTextField_username = new javax.swing.JTextField();
        jLabel13 = new javax.swing.JLabel();
        jLabel14 = new javax.swing.JLabel();
        jTextField_path = new javax.swing.JTextField();
        jPasswordField_password = new javax.swing.JPasswordField();
        jButton_saveftpsettings = new javax.swing.JButton();
        jCheckBox_dynamic = new javax.swing.JCheckBox();
        jCheckBox_ftpenabled = new javax.swing.JCheckBox();
        jDialog_about = new javax.swing.JDialog();
        jPanel7 = new javax.swing.JPanel();
        jLabel15 = new javax.swing.JLabel();
        jDialog_IMDBimport = new javax.swing.JDialog();
        jPanel8 = new javax.swing.JPanel();
        jPanel9 = new javax.swing.JPanel();
        jLabel16 = new javax.swing.JLabel();
        jLabel17 = new javax.swing.JLabel();
        jTextField_importmovieid = new javax.swing.JTextField();
        jButton_importinformation = new javax.swing.JButton();
        jPanel_importdetails = new javax.swing.JPanel();
        jLabel18 = new javax.swing.JLabel();
        jLabel19 = new javax.swing.JLabel();
        jLabel20 = new javax.swing.JLabel();
        jLabel21 = new javax.swing.JLabel();
        jButton_importaddmovie = new javax.swing.JButton();
        jTextField_importmoviename = new javax.swing.JTextField();
        jTextField_importdirectorname = new javax.swing.JTextField();
        jTextField_importmovieyear = new javax.swing.JTextField();
        jTextField_importruntime = new javax.swing.JTextField();
        jLabel22 = new javax.swing.JLabel();
        jComboBox_importcds = new javax.swing.JComboBox();
        jComboBox_importformat = new javax.swing.JComboBox();
        jLabel23 = new javax.swing.JLabel();
        jPanel_main = new javax.swing.JPanel();
        jPanel_addmovie = new javax.swing.JPanel();
        jLabel1 = new javax.swing.JLabel();
        jTextField_title = new javax.swing.JTextField();
        jLabel2 = new javax.swing.JLabel();
        jTextField_length = new javax.swing.JTextField();
        jLabel4 = new javax.swing.JLabel();
        jTextField_director = new javax.swing.JTextField();
        jLabel5 = new javax.swing.JLabel();
        jTextField_release = new javax.swing.JTextField();
        jLabel6 = new javax.swing.JLabel();
        jLabel3 = new javax.swing.JLabel();
        jComboBox_format = new javax.swing.JComboBox();
        jButton_addmovie = new javax.swing.JButton();
        jComboBox_cds = new javax.swing.JComboBox();
        jPanel_removemovie = new javax.swing.JPanel();
        jButton_removemovie = new javax.swing.JButton();
        jTextField_movieid = new javax.swing.JTextField();
        jLabel7 = new javax.swing.JLabel();
        jPanel_search = new javax.swing.JPanel();
        jLabel8 = new javax.swing.JLabel();
        jTextField_search = new javax.swing.JTextField();
        jButton_searchmovie = new javax.swing.JButton();
        jScrollPane1 = new javax.swing.JScrollPane();
        jLabel_latestmovieadditions = new javax.swing.JLabel();
        jLabel9 = new javax.swing.JLabel();
        jMenuBar1 = new javax.swing.JMenuBar();
        jMenu2 = new javax.swing.JMenu();
        jMenuItem_listallmovies = new javax.swing.JMenuItem();
        jMenuItem_statistics = new javax.swing.JMenuItem();
        jMenuItem_IMDBimport = new javax.swing.JMenuItem();
        jMenu1 = new javax.swing.JMenu();
        jMenuItem_downloadfromftp = new javax.swing.JMenuItem();
        jMenuItem_uploadtoftp = new javax.swing.JMenuItem();
        jMenuItem_ftpsettings = new javax.swing.JMenuItem();
        jMenu3 = new javax.swing.JMenu();
        jMenuItem_about = new javax.swing.JMenuItem();

        jDialog_popupmoviebox.setTitle("Movie information");
        jDialog_popupmoviebox.setBounds(new java.awt.Rectangle(0, 0, 0, 0));
        jDialog_popupmoviebox.setModal(true);
        jDialog_popupmoviebox.setResizable(false);

        jLabel_movieinfo.setText("jLabel10");
        jLabel_movieinfo.setVerticalAlignment(javax.swing.SwingConstants.TOP);

        javax.swing.GroupLayout jDialog_popupmovieboxLayout = new javax.swing.GroupLayout(jDialog_popupmoviebox.getContentPane());
        jDialog_popupmoviebox.getContentPane().setLayout(jDialog_popupmovieboxLayout);
        jDialog_popupmovieboxLayout.setHorizontalGroup(
            jDialog_popupmovieboxLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jDialog_popupmovieboxLayout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jLabel_movieinfo, javax.swing.GroupLayout.DEFAULT_SIZE, 335, Short.MAX_VALUE)
                .addContainerGap())
        );
        jDialog_popupmovieboxLayout.setVerticalGroup(
            jDialog_popupmovieboxLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jDialog_popupmovieboxLayout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jLabel_movieinfo, javax.swing.GroupLayout.DEFAULT_SIZE, 114, Short.MAX_VALUE)
                .addContainerGap())
        );

        jDialog_statistics.setTitle("Movie statistics");

        jPanel2.setBorder(javax.swing.BorderFactory.createTitledBorder(" Your movie statistics "));

        jLabel_statistics.setText(control.printStats());
        jLabel_statistics.setVerticalAlignment(javax.swing.SwingConstants.TOP);

        javax.swing.GroupLayout jPanel2Layout = new javax.swing.GroupLayout(jPanel2);
        jPanel2.setLayout(jPanel2Layout);
        jPanel2Layout.setHorizontalGroup(
            jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel2Layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jLabel_statistics, javax.swing.GroupLayout.DEFAULT_SIZE, 247, Short.MAX_VALUE)
                .addContainerGap())
        );
        jPanel2Layout.setVerticalGroup(
            jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel2Layout.createSequentialGroup()
                .addComponent(jLabel_statistics, javax.swing.GroupLayout.DEFAULT_SIZE, 147, Short.MAX_VALUE)
                .addContainerGap())
        );

        javax.swing.GroupLayout jPanel1Layout = new javax.swing.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jPanel2, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addContainerGap())
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jPanel2, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addContainerGap())
        );

        javax.swing.GroupLayout jDialog_statisticsLayout = new javax.swing.GroupLayout(jDialog_statistics.getContentPane());
        jDialog_statistics.getContentPane().setLayout(jDialog_statisticsLayout);
        jDialog_statisticsLayout.setHorizontalGroup(
            jDialog_statisticsLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 305, Short.MAX_VALUE)
            .addComponent(jPanel1, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
        );
        jDialog_statisticsLayout.setVerticalGroup(
            jDialog_statisticsLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 212, Short.MAX_VALUE)
            .addComponent(jPanel1, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
        );

        jDialog_allmovies.setTitle("Movie overview");

        jTextField_searchfield.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jTextField_searchfieldMouseClicked(evt);
            }
        });
        jTextField_searchfield.addCaretListener(new javax.swing.event.CaretListener() {
            public void caretUpdate(javax.swing.event.CaretEvent evt) {
                jTextField_searchfieldCaretUpdate(evt);
            }
        });
        jTextField_searchfield.addFocusListener(new java.awt.event.FocusAdapter() {
            public void focusLost(java.awt.event.FocusEvent evt) {
                jTextField_searchfieldFocusLost(evt);
            }
        });

        jScrollPane2.setBackground(java.awt.SystemColor.activeCaptionText);

        jList_allmovies.setFont(jList_allmovies.getFont());
        jList_allmovies.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jList_allmoviesMouseClicked(evt);
            }
        });
        jScrollPane2.setViewportView(jList_allmovies);

        javax.swing.GroupLayout jPanel3Layout = new javax.swing.GroupLayout(jPanel3);
        jPanel3.setLayout(jPanel3Layout);
        jPanel3Layout.setHorizontalGroup(
            jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jScrollPane2, javax.swing.GroupLayout.DEFAULT_SIZE, 400, Short.MAX_VALUE)
            .addGroup(jPanel3Layout.createSequentialGroup()
                .addGap(10, 10, 10)
                .addComponent(jTextField_searchfield, javax.swing.GroupLayout.DEFAULT_SIZE, 380, Short.MAX_VALUE)
                .addContainerGap())
        );
        jPanel3Layout.setVerticalGroup(
            jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel3Layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jTextField_searchfield, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(11, 11, 11)
                .addComponent(jScrollPane2, javax.swing.GroupLayout.DEFAULT_SIZE, 256, Short.MAX_VALUE))
        );

        javax.swing.GroupLayout jDialog_allmoviesLayout = new javax.swing.GroupLayout(jDialog_allmovies.getContentPane());
        jDialog_allmovies.getContentPane().setLayout(jDialog_allmoviesLayout);
        jDialog_allmoviesLayout.setHorizontalGroup(
            jDialog_allmoviesLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 400, Short.MAX_VALUE)
            .addComponent(jPanel3, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
        );
        jDialog_allmoviesLayout.setVerticalGroup(
            jDialog_allmoviesLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 300, Short.MAX_VALUE)
            .addComponent(jPanel3, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
        );

        jDialog_ftpsettings.setTitle("FTP settings");

        jPanel6.setBorder(javax.swing.BorderFactory.createTitledBorder(" FTP settings "));

        jLabel10.setFont(jLabel10.getFont());
        jLabel10.setText("<html>These settings are releated to the <b>FTP-support in TMM</b>. You can specify your own FTP settings here, and you will be able to upload the .tmmdb file containing all your movies, for safe keeping.</html>");

        jLabel11.setText("FTP server address:");

        jTextField_serveraddress.setText(control.getFTPSettings().getServeraddress());

        jLabel12.setText("Username:");

        jTextField_username.setText(control.getFTPSettings().getUsername());

        jLabel13.setText("Password:");

        jLabel14.setText("Path (save directory):");

        jTextField_path.setText(control.getFTPSettings().getPath());

        jPasswordField_password.setText(control.getFTPSettings().getPassword());

        jButton_saveftpsettings.setText("Save settings");
        jButton_saveftpsettings.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton_saveftpsettingsActionPerformed(evt);
            }
        });

        jCheckBox_dynamic.setSelected(control.getFTPSettings().isFtpdynamic());
        jCheckBox_dynamic.setText("<html><font color=green>Dynamic</font> FTP upload<br>(fast FTP server is recommended)</html>");

        jCheckBox_ftpenabled.setSelected(control.getFTPSettings().isEnabled());
        jCheckBox_ftpenabled.setText("Use FTP-support");

        javax.swing.GroupLayout jPanel6Layout = new javax.swing.GroupLayout(jPanel6);
        jPanel6.setLayout(jPanel6Layout);
        jPanel6Layout.setHorizontalGroup(
            jPanel6Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel6Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel6Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel6Layout.createSequentialGroup()
                        .addGroup(jPanel6Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jLabel11)
                            .addComponent(jLabel12)
                            .addComponent(jLabel13)
                            .addComponent(jLabel14))
                        .addGap(26, 26, 26)
                        .addGroup(jPanel6Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jTextField_username, javax.swing.GroupLayout.DEFAULT_SIZE, 210, Short.MAX_VALUE)
                            .addComponent(jTextField_serveraddress, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.DEFAULT_SIZE, 210, Short.MAX_VALUE)
                            .addComponent(jTextField_path, javax.swing.GroupLayout.DEFAULT_SIZE, 210, Short.MAX_VALUE)
                            .addComponent(jPasswordField_password, javax.swing.GroupLayout.DEFAULT_SIZE, 210, Short.MAX_VALUE)))
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel6Layout.createSequentialGroup()
                        .addComponent(jCheckBox_ftpenabled)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 140, Short.MAX_VALUE)
                        .addComponent(jButton_saveftpsettings))
                    .addComponent(jCheckBox_dynamic)
                    .addComponent(jLabel10, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.DEFAULT_SIZE, 342, Short.MAX_VALUE))
                .addContainerGap())
        );
        jPanel6Layout.setVerticalGroup(
            jPanel6Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel6Layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jLabel10)
                .addGap(20, 20, 20)
                .addGroup(jPanel6Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel11)
                    .addComponent(jTextField_serveraddress, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel6Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel12)
                    .addComponent(jTextField_username, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel6Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel13)
                    .addComponent(jPasswordField_password, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel6Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel14)
                    .addComponent(jTextField_path, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addComponent(jCheckBox_dynamic)
                .addGroup(jPanel6Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel6Layout.createSequentialGroup()
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addComponent(jButton_saveftpsettings)
                        .addContainerGap())
                    .addGroup(jPanel6Layout.createSequentialGroup()
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jCheckBox_ftpenabled)
                        .addContainerGap())))
        );

        javax.swing.GroupLayout jPanel5Layout = new javax.swing.GroupLayout(jPanel5);
        jPanel5.setLayout(jPanel5Layout);
        jPanel5Layout.setHorizontalGroup(
            jPanel5Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel5Layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jPanel6, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addContainerGap())
        );
        jPanel5Layout.setVerticalGroup(
            jPanel5Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel5Layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jPanel6, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addContainerGap())
        );

        javax.swing.GroupLayout jDialog_ftpsettingsLayout = new javax.swing.GroupLayout(jDialog_ftpsettings.getContentPane());
        jDialog_ftpsettings.getContentPane().setLayout(jDialog_ftpsettingsLayout);
        jDialog_ftpsettingsLayout.setHorizontalGroup(
            jDialog_ftpsettingsLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jPanel5, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
        );
        jDialog_ftpsettingsLayout.setVerticalGroup(
            jDialog_ftpsettingsLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jPanel5, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
        );

        jDialog_about.setTitle("About");
        jDialog_about.setResizable(false);

        jLabel15.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel15.setText("<html><center>Tiny Movie Manager 0.2 (TMM)<br> by <b>Tobias W. Kjeldsen</b><br>tobias@wkjeldsen.dk<br><br>This application was mainly build to serve my own needs, but I've made it available for common use.<hr>\nSourcecode is also available for free at: <b><a href=\"http://wkjeldsen.dk/tmm\">http://wkjeldsen.dk/tmm</a></b><br><br>Thanks goes to Calvin Tai for his Ftp Bean library. </html>");

        javax.swing.GroupLayout jPanel7Layout = new javax.swing.GroupLayout(jPanel7);
        jPanel7.setLayout(jPanel7Layout);
        jPanel7Layout.setHorizontalGroup(
            jPanel7Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel7Layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jLabel15, javax.swing.GroupLayout.DEFAULT_SIZE, 380, Short.MAX_VALUE)
                .addContainerGap())
        );
        jPanel7Layout.setVerticalGroup(
            jPanel7Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel7Layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jLabel15, javax.swing.GroupLayout.DEFAULT_SIZE, 278, Short.MAX_VALUE)
                .addContainerGap())
        );

        javax.swing.GroupLayout jDialog_aboutLayout = new javax.swing.GroupLayout(jDialog_about.getContentPane());
        jDialog_about.getContentPane().setLayout(jDialog_aboutLayout);
        jDialog_aboutLayout.setHorizontalGroup(
            jDialog_aboutLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 400, Short.MAX_VALUE)
            .addComponent(jPanel7, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
        );
        jDialog_aboutLayout.setVerticalGroup(
            jDialog_aboutLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 300, Short.MAX_VALUE)
            .addComponent(jPanel7, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
        );

        jDialog_IMDBimport.setTitle("Internet Movie Database");

        jPanel9.setBorder(javax.swing.BorderFactory.createTitledBorder(" Internet Movie Database "));

        jLabel16.setText("<html>Import information about movies with ease. You need to enter the Internet Movie Database <b>movie-id</b>. You are able find this id on <b>imdb.com</b>.");

        jLabel17.setText("Enter movie-id:");

        jButton_importinformation.setText("Fetch information");
        jButton_importinformation.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton_importinformationActionPerformed(evt);
            }
        });

        jPanel_importdetails.setBorder(new javax.swing.border.SoftBevelBorder(javax.swing.border.BevelBorder.RAISED));

        jLabel18.setText("Movie title:");

        jLabel19.setText("Director:");

        jLabel20.setText("Release:");

        jLabel21.setText("Runtime (minutes):");

        jButton_importaddmovie.setText("Add movie!");
        jButton_importaddmovie.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton_importaddmovieActionPerformed(evt);
            }
        });

        jLabel22.setText("CDs / Parts:");

        jComboBox_importcds.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "1", "2", "3", "4", "5", "6", "7", "8" }));

        jComboBox_importformat.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "XviD", "DivX", "H.264/MPEG-4 HD", "DVD", "WMV", "HD-WMV" }));

        jLabel23.setText("Format:");

        javax.swing.GroupLayout jPanel_importdetailsLayout = new javax.swing.GroupLayout(jPanel_importdetails);
        jPanel_importdetails.setLayout(jPanel_importdetailsLayout);
        jPanel_importdetailsLayout.setHorizontalGroup(
            jPanel_importdetailsLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel_importdetailsLayout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel_importdetailsLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jButton_importaddmovie, javax.swing.GroupLayout.Alignment.TRAILING)
                    .addGroup(jPanel_importdetailsLayout.createSequentialGroup()
                        .addGroup(jPanel_importdetailsLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jLabel21)
                            .addComponent(jLabel20)
                            .addComponent(jLabel19)
                            .addComponent(jLabel18)
                            .addComponent(jLabel22)
                            .addComponent(jLabel23))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(jPanel_importdetailsLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jComboBox_importformat, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(jComboBox_importcds, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(jTextField_importdirectorname, javax.swing.GroupLayout.DEFAULT_SIZE, 180, Short.MAX_VALUE)
                            .addComponent(jTextField_importmovieyear, javax.swing.GroupLayout.DEFAULT_SIZE, 180, Short.MAX_VALUE)
                            .addComponent(jTextField_importruntime, javax.swing.GroupLayout.DEFAULT_SIZE, 180, Short.MAX_VALUE)
                            .addGroup(jPanel_importdetailsLayout.createSequentialGroup()
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addComponent(jTextField_importmoviename, javax.swing.GroupLayout.DEFAULT_SIZE, 180, Short.MAX_VALUE)))))
                .addContainerGap())
        );
        jPanel_importdetailsLayout.setVerticalGroup(
            jPanel_importdetailsLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel_importdetailsLayout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel_importdetailsLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel18)
                    .addComponent(jTextField_importmoviename, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel_importdetailsLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel19)
                    .addComponent(jTextField_importdirectorname, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel_importdetailsLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel20)
                    .addComponent(jTextField_importmovieyear, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel_importdetailsLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel21)
                    .addComponent(jTextField_importruntime, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel_importdetailsLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel22)
                    .addComponent(jComboBox_importcds, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel_importdetailsLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel23)
                    .addComponent(jComboBox_importformat, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 34, Short.MAX_VALUE)
                .addComponent(jButton_importaddmovie)
                .addContainerGap())
        );

        javax.swing.GroupLayout jPanel9Layout = new javax.swing.GroupLayout(jPanel9);
        jPanel9.setLayout(jPanel9Layout);
        jPanel9Layout.setHorizontalGroup(
            jPanel9Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel9Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel9Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jPanel_importdetails, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addComponent(jLabel16, javax.swing.GroupLayout.DEFAULT_SIZE, 301, Short.MAX_VALUE)
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel9Layout.createSequentialGroup()
                        .addComponent(jLabel17)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jTextField_importmovieid, javax.swing.GroupLayout.DEFAULT_SIZE, 101, Short.MAX_VALUE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jButton_importinformation)))
                .addContainerGap())
        );
        jPanel9Layout.setVerticalGroup(
            jPanel9Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel9Layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jLabel16)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addGroup(jPanel9Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel17)
                    .addComponent(jButton_importinformation)
                    .addComponent(jTextField_importmovieid, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addComponent(jPanel_importdetails, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addContainerGap())
        );

        javax.swing.GroupLayout jPanel8Layout = new javax.swing.GroupLayout(jPanel8);
        jPanel8.setLayout(jPanel8Layout);
        jPanel8Layout.setHorizontalGroup(
            jPanel8Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel8Layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jPanel9, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addContainerGap())
        );
        jPanel8Layout.setVerticalGroup(
            jPanel8Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel8Layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jPanel9, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addContainerGap())
        );

        javax.swing.GroupLayout jDialog_IMDBimportLayout = new javax.swing.GroupLayout(jDialog_IMDBimport.getContentPane());
        jDialog_IMDBimport.getContentPane().setLayout(jDialog_IMDBimportLayout);
        jDialog_IMDBimportLayout.setHorizontalGroup(
            jDialog_IMDBimportLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jPanel8, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
        );
        jDialog_IMDBimportLayout.setVerticalGroup(
            jDialog_IMDBimportLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jPanel8, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
        );

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setTitle("Tiny Movie Manager (TMM)");
        setResizable(false);

        jPanel_addmovie.setBorder(javax.swing.BorderFactory.createTitledBorder(null, " Add movie manually ", javax.swing.border.TitledBorder.CENTER, javax.swing.border.TitledBorder.DEFAULT_POSITION));

        jLabel1.setText("Movie title:");

        jLabel2.setText("Runtime (minutes):");

        jLabel4.setText("Director:");

        jLabel5.setText("Release:");

        jLabel6.setText("CDs / Parts:");

        jLabel3.setText("Format:");

        jComboBox_format.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "XviD", "DivX", "H.264/MPEG-4 HD", "DVD", "WMV", "HD-WMV" }));

        jButton_addmovie.setText("Add movie!");
        jButton_addmovie.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton_addmovieActionPerformed(evt);
            }
        });

        jComboBox_cds.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "1", "2", "3", "4", "5", "6", "7", "8" }));

        javax.swing.GroupLayout jPanel_addmovieLayout = new javax.swing.GroupLayout(jPanel_addmovie);
        jPanel_addmovie.setLayout(jPanel_addmovieLayout);
        jPanel_addmovieLayout.setHorizontalGroup(
            jPanel_addmovieLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel_addmovieLayout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel_addmovieLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel_addmovieLayout.createSequentialGroup()
                        .addComponent(jLabel6)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jComboBox_cds, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addComponent(jLabel3)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jComboBox_format, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addComponent(jLabel2)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jTextField_length, javax.swing.GroupLayout.PREFERRED_SIZE, 38, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 38, Short.MAX_VALUE)
                        .addComponent(jButton_addmovie))
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel_addmovieLayout.createSequentialGroup()
                        .addComponent(jLabel1)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jTextField_title, javax.swing.GroupLayout.DEFAULT_SIZE, 231, Short.MAX_VALUE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addComponent(jLabel4)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jTextField_director, javax.swing.GroupLayout.PREFERRED_SIZE, 90, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addComponent(jLabel5)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jTextField_release, javax.swing.GroupLayout.PREFERRED_SIZE, 35, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap())
        );
        jPanel_addmovieLayout.setVerticalGroup(
            jPanel_addmovieLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel_addmovieLayout.createSequentialGroup()
                .addGroup(jPanel_addmovieLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel1)
                    .addComponent(jTextField_title, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabel4)
                    .addComponent(jTextField_director, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabel5)
                    .addComponent(jTextField_release, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addGroup(jPanel_addmovieLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel6)
                    .addComponent(jButton_addmovie)
                    .addComponent(jComboBox_cds, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabel3)
                    .addComponent(jComboBox_format, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabel2)
                    .addComponent(jTextField_length, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(75, 75, 75))
        );

        jPanel_removemovie.setBorder(javax.swing.BorderFactory.createTitledBorder(null, " Remove movie ", javax.swing.border.TitledBorder.CENTER, javax.swing.border.TitledBorder.DEFAULT_POSITION));

        jButton_removemovie.setText("Remove");
        jButton_removemovie.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton_removemovieActionPerformed(evt);
            }
        });

        jLabel7.setText("Enter ID:");

        javax.swing.GroupLayout jPanel_removemovieLayout = new javax.swing.GroupLayout(jPanel_removemovie);
        jPanel_removemovie.setLayout(jPanel_removemovieLayout);
        jPanel_removemovieLayout.setHorizontalGroup(
            jPanel_removemovieLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel_removemovieLayout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jLabel7)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jTextField_movieid, javax.swing.GroupLayout.DEFAULT_SIZE, 26, Short.MAX_VALUE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jButton_removemovie)
                .addContainerGap())
        );
        jPanel_removemovieLayout.setVerticalGroup(
            jPanel_removemovieLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel_removemovieLayout.createSequentialGroup()
                .addGroup(jPanel_removemovieLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel7)
                    .addComponent(jTextField_movieid, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jButton_removemovie))
                .addContainerGap(12, Short.MAX_VALUE))
        );

        jPanel_search.setBorder(javax.swing.BorderFactory.createTitledBorder(null, " Search movies ", javax.swing.border.TitledBorder.CENTER, javax.swing.border.TitledBorder.DEFAULT_POSITION));

        jLabel8.setText("Movie title:");

        jTextField_search.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jTextField_searchActionPerformed(evt);
            }
        });

        jButton_searchmovie.setText("Search it!");
        jButton_searchmovie.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton_searchmovieActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout jPanel_searchLayout = new javax.swing.GroupLayout(jPanel_search);
        jPanel_search.setLayout(jPanel_searchLayout);
        jPanel_searchLayout.setHorizontalGroup(
            jPanel_searchLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel_searchLayout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jLabel8)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jTextField_search, javax.swing.GroupLayout.DEFAULT_SIZE, 188, Short.MAX_VALUE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jButton_searchmovie)
                .addContainerGap())
        );
        jPanel_searchLayout.setVerticalGroup(
            jPanel_searchLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel_searchLayout.createSequentialGroup()
                .addGroup(jPanel_searchLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel8)
                    .addComponent(jButton_searchmovie)
                    .addComponent(jTextField_search, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(12, Short.MAX_VALUE))
        );

        jScrollPane1.setBorder(null);

        jLabel_latestmovieadditions.setFont(jLabel_latestmovieadditions.getFont());
        jLabel_latestmovieadditions.setText(control.latestMovieAdditions());
        jLabel_latestmovieadditions.setVerticalAlignment(javax.swing.SwingConstants.TOP);
        jScrollPane1.setViewportView(jLabel_latestmovieadditions);

        jLabel9.setFont(jLabel9.getFont());
        jLabel9.setText("<html> Latest <font color=green size=5>4</font> additions to your movie collection:");

        javax.swing.GroupLayout jPanel_mainLayout = new javax.swing.GroupLayout(jPanel_main);
        jPanel_main.setLayout(jPanel_mainLayout);
        jPanel_mainLayout.setHorizontalGroup(
            jPanel_mainLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel_mainLayout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel_mainLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel_mainLayout.createSequentialGroup()
                        .addComponent(jPanel_search, 0, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jPanel_removemovie, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addComponent(jPanel_addmovie, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addGroup(jPanel_mainLayout.createSequentialGroup()
                        .addGap(10, 10, 10)
                        .addGroup(jPanel_mainLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jScrollPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 535, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(jLabel9))
                        .addGap(18, 18, 18)))
                .addContainerGap())
        );
        jPanel_mainLayout.setVerticalGroup(
            jPanel_mainLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel_mainLayout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel_mainLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jPanel_search, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addComponent(jPanel_removemovie, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(14, 14, 14)
                .addComponent(jLabel9)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addComponent(jScrollPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 232, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(13, 13, 13)
                .addComponent(jPanel_addmovie, javax.swing.GroupLayout.PREFERRED_SIZE, 92, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap())
        );

        jMenu2.setIcon(new javax.swing.ImageIcon(getClass().getResource("/tmm/avis.png"))); // NOI18N
        jMenu2.setText("Import and other...");

        jMenuItem_listallmovies.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_ENTER, java.awt.event.InputEvent.CTRL_MASK));
        jMenuItem_listallmovies.setText("Show all movies");
        jMenuItem_listallmovies.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jMenuItem_listallmoviesActionPerformed(evt);
            }
        });
        jMenu2.add(jMenuItem_listallmovies);

        jMenuItem_statistics.setText("Your movie statistics");
        jMenuItem_statistics.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jMenuItem_statisticsActionPerformed(evt);
            }
        });
        jMenu2.add(jMenuItem_statistics);

        jMenuItem_IMDBimport.setText("IMDB movie-import");
        jMenuItem_IMDBimport.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jMenuItem_IMDBimportActionPerformed(evt);
            }
        });
        jMenu2.add(jMenuItem_IMDBimport);

        jMenuBar1.add(jMenu2);

        jMenu1.setText("Backup...");

        jMenuItem_downloadfromftp.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_R, java.awt.event.InputEvent.CTRL_MASK));
        jMenuItem_downloadfromftp.setText("Reload from FTP");
        jMenuItem_downloadfromftp.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jMenuItem_downloadfromftpActionPerformed(evt);
            }
        });
        jMenu1.add(jMenuItem_downloadfromftp);

        jMenuItem_uploadtoftp.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_S, java.awt.event.InputEvent.CTRL_MASK));
        jMenuItem_uploadtoftp.setText("Save to FTP");
        jMenuItem_uploadtoftp.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jMenuItem_uploadtoftpActionPerformed(evt);
            }
        });
        jMenu1.add(jMenuItem_uploadtoftp);

        jMenuItem_ftpsettings.setText("Manage FTP settings");
        jMenuItem_ftpsettings.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jMenuItem_ftpsettingsActionPerformed(evt);
            }
        });
        jMenu1.add(jMenuItem_ftpsettings);

        jMenuBar1.add(jMenu1);

        jMenu3.setText("Help...");

        jMenuItem_about.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_O, java.awt.event.InputEvent.ALT_MASK | java.awt.event.InputEvent.CTRL_MASK));
        jMenuItem_about.setText("About");
        jMenuItem_about.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jMenuItem_aboutActionPerformed(evt);
            }
        });
        jMenu3.add(jMenuItem_about);

        jMenuBar1.add(jMenu3);

        setJMenuBar(jMenuBar1);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jPanel_main, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jPanel_main, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents
    private void jMenuItem_aboutActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jMenuItem_aboutActionPerformed
        jDialog_about.setVisible(true);
}//GEN-LAST:event_jMenuItem_aboutActionPerformed

    private void jButton_addmovieActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton_addmovieActionPerformed
        control.addMovie(jTextField_title.getText(), jTextField_length.getText(), jComboBox_format.getSelectedItem().toString(), jTextField_director.getText(), jTextField_release.getText(), jComboBox_cds.getSelectedItem().toString());
        jLabel_latestmovieadditions.setText(control.latestMovieAdditions());
        jLabel_statistics.setText(control.printStats());
        jList_allmovies.setListData(control.listMovies());
}//GEN-LAST:event_jButton_addmovieActionPerformed

    private void jButton_removemovieActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton_removemovieActionPerformed
        control.deleteMovie(jTextField_movieid.getText());
        jLabel_latestmovieadditions.setText(control.latestMovieAdditions());
        jLabel_statistics.setText(control.printStats());
        jList_allmovies.setListData(control.listMovies());
}//GEN-LAST:event_jButton_removemovieActionPerformed

    private void jButton_searchmovieActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton_searchmovieActionPerformed
        if (control.searchMovies(jTextField_search.getText()).equals("")) {
        //NOTHING
        } else {
            jLabel_movieinfo.setText(control.searchMovies(jTextField_search.getText()));
            jDialog_popupmoviebox.setVisible(true);
        }
}//GEN-LAST:event_jButton_searchmovieActionPerformed

    private void jMenuItem_ftpsettingsActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jMenuItem_ftpsettingsActionPerformed
        jDialog_ftpsettings.setVisible(true);
}//GEN-LAST:event_jMenuItem_ftpsettingsActionPerformed

    private void jMenuItem_statisticsActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jMenuItem_statisticsActionPerformed
        jLabel_statistics.setText(control.printStats());
        jDialog_statistics.setVisible(true);
}//GEN-LAST:event_jMenuItem_statisticsActionPerformed

    private void jMenuItem_uploadtoftpActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jMenuItem_uploadtoftpActionPerformed
        control.eksportFTPMovies();
}//GEN-LAST:event_jMenuItem_uploadtoftpActionPerformed

    private void jMenuItem_listallmoviesActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jMenuItem_listallmoviesActionPerformed
        jList_allmovies.setListData(control.listMovies());
        jDialog_allmovies.setVisible(true);
    }//GEN-LAST:event_jMenuItem_listallmoviesActionPerformed

    private void jMenuItem_IMDBimportActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jMenuItem_IMDBimportActionPerformed
        jDialog_IMDBimport.setVisible(true);
    }//GEN-LAST:event_jMenuItem_IMDBimportActionPerformed

    private void jTextField_searchActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jTextField_searchActionPerformed
        if (control.searchMovies(jTextField_search.getText()).equals("")) {
        //NOTHING
        } else {
            jLabel_movieinfo.setText(control.searchMovies(jTextField_search.getText()));
            jDialog_popupmoviebox.setVisible(true);
        }
    }//GEN-LAST:event_jTextField_searchActionPerformed

    private void jTextField_searchfieldMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jTextField_searchfieldMouseClicked
        jTextField_searchfield.setText("");
    }//GEN-LAST:event_jTextField_searchfieldMouseClicked

    private void jTextField_searchfieldCaretUpdate(javax.swing.event.CaretEvent evt) {//GEN-FIRST:event_jTextField_searchfieldCaretUpdate
        boolean found = false;
        int i = 0;
        while (i < jList_allmovies.getModel().getSize() && !found) {
            StringTokenizer listtokens = new StringTokenizer(jList_allmovies.getModel().getElementAt(i).toString());
            while (listtokens.hasMoreTokens()) {
                if (jTextField_searchfield.getText().equalsIgnoreCase(listtokens.nextToken())) {
                    jList_allmovies.setSelectedIndex(i);
                    jList_allmovies.scrollRectToVisible(jList_allmovies.getCellBounds(i, i));
                    found = true;
                }
            }
            i++;
        }
    }//GEN-LAST:event_jTextField_searchfieldCaretUpdate

    private void jTextField_searchfieldFocusLost(java.awt.event.FocusEvent evt) {//GEN-FIRST:event_jTextField_searchfieldFocusLost
        jTextField_searchfield.setText("enter search keyword...");
    }//GEN-LAST:event_jTextField_searchfieldFocusLost

    private void jButton_importaddmovieActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton_importaddmovieActionPerformed
        control.addMovie(jTextField_importmoviename.getText(), jTextField_importruntime.getText(), jComboBox_importformat.getSelectedItem().toString(), jTextField_importdirectorname.getText(), jTextField_importmovieyear.getText(), jComboBox_importcds.getSelectedItem().toString());
        jLabel_latestmovieadditions.setText(control.latestMovieAdditions());
        jLabel_statistics.setText(control.printStats());
        jList_allmovies.setListData(control.listMovies());
    }//GEN-LAST:event_jButton_importaddmovieActionPerformed

    private void jButton_importinformationActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton_importinformationActionPerformed
        String[] movieinfo = control.importIMDB(jTextField_importmovieid.getText());
        if (movieinfo[0] != null && movieinfo[1] != null && movieinfo[2] != null && movieinfo[3] != null) {
            jTextField_importmoviename.setText(movieinfo[0]);
            jTextField_importdirectorname.setText(movieinfo[1]);
            jTextField_importmovieyear.setText("" + movieinfo[2]);
            jTextField_importruntime.setText("" + movieinfo[3]);
        }
}//GEN-LAST:event_jButton_importinformationActionPerformed

    private void jMenuItem_downloadfromftpActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jMenuItem_downloadfromftpActionPerformed
        control.importFTPMovies();
        jLabel_latestmovieadditions.setText(control.latestMovieAdditions());
    }//GEN-LAST:event_jMenuItem_downloadfromftpActionPerformed

    private void jList_allmoviesMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jList_allmoviesMouseClicked
        jLabel_movieinfo.setText(control.getMovie(jList_allmovies.getSelectedIndex()));
        jDialog_popupmoviebox.setVisible(true);
}//GEN-LAST:event_jList_allmoviesMouseClicked

    private void jButton_saveftpsettingsActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton_saveftpsettingsActionPerformed
        control.setFTPSettings(jTextField_serveraddress.getText(), jTextField_username.getText(), jPasswordField_password.getText(), jTextField_path.getText(), jCheckBox_dynamic.isSelected(), jCheckBox_ftpenabled.isSelected());
        jDialog_ftpsettings.setVisible(false);
    }//GEN-LAST:event_jButton_saveftpsettingsActionPerformed

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {

            public void run() {
                new StartUI().setVisible(true);
            }
        });
    }
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton jButton_addmovie;
    private javax.swing.JButton jButton_importaddmovie;
    private javax.swing.JButton jButton_importinformation;
    private javax.swing.JButton jButton_removemovie;
    private javax.swing.JButton jButton_saveftpsettings;
    private javax.swing.JButton jButton_searchmovie;
    private javax.swing.JCheckBox jCheckBox_dynamic;
    private javax.swing.JCheckBox jCheckBox_ftpenabled;
    private javax.swing.JComboBox jComboBox_cds;
    private javax.swing.JComboBox jComboBox_format;
    private javax.swing.JComboBox jComboBox_importcds;
    private javax.swing.JComboBox jComboBox_importformat;
    private javax.swing.JDialog jDialog_IMDBimport;
    private javax.swing.JDialog jDialog_about;
    private javax.swing.JDialog jDialog_allmovies;
    private javax.swing.JDialog jDialog_ftpsettings;
    private javax.swing.JDialog jDialog_popupmoviebox;
    private javax.swing.JDialog jDialog_statistics;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel11;
    private javax.swing.JLabel jLabel12;
    private javax.swing.JLabel jLabel13;
    private javax.swing.JLabel jLabel14;
    private javax.swing.JLabel jLabel15;
    private javax.swing.JLabel jLabel16;
    private javax.swing.JLabel jLabel17;
    private javax.swing.JLabel jLabel18;
    private javax.swing.JLabel jLabel19;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel20;
    private javax.swing.JLabel jLabel21;
    private javax.swing.JLabel jLabel22;
    private javax.swing.JLabel jLabel23;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JLabel jLabel_latestmovieadditions;
    public javax.swing.JLabel jLabel_movieinfo;
    private javax.swing.JLabel jLabel_statistics;
    private javax.swing.JList jList_allmovies;
    private javax.swing.JMenu jMenu1;
    private javax.swing.JMenu jMenu2;
    private javax.swing.JMenu jMenu3;
    private javax.swing.JMenuBar jMenuBar1;
    private javax.swing.JMenuItem jMenuItem_IMDBimport;
    private javax.swing.JMenuItem jMenuItem_about;
    private javax.swing.JMenuItem jMenuItem_downloadfromftp;
    private javax.swing.JMenuItem jMenuItem_ftpsettings;
    private javax.swing.JMenuItem jMenuItem_listallmovies;
    private javax.swing.JMenuItem jMenuItem_statistics;
    private javax.swing.JMenuItem jMenuItem_uploadtoftp;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JPanel jPanel3;
    private javax.swing.JPanel jPanel5;
    private javax.swing.JPanel jPanel6;
    private javax.swing.JPanel jPanel7;
    private javax.swing.JPanel jPanel8;
    private javax.swing.JPanel jPanel9;
    private javax.swing.JPanel jPanel_addmovie;
    private javax.swing.JPanel jPanel_importdetails;
    private javax.swing.JPanel jPanel_main;
    private javax.swing.JPanel jPanel_removemovie;
    private javax.swing.JPanel jPanel_search;
    private javax.swing.JPasswordField jPasswordField_password;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JScrollPane jScrollPane2;
    private javax.swing.JTextField jTextField_director;
    private javax.swing.JTextField jTextField_importdirectorname;
    private javax.swing.JTextField jTextField_importmovieid;
    private javax.swing.JTextField jTextField_importmoviename;
    private javax.swing.JTextField jTextField_importmovieyear;
    private javax.swing.JTextField jTextField_importruntime;
    private javax.swing.JTextField jTextField_length;
    private javax.swing.JTextField jTextField_movieid;
    private javax.swing.JTextField jTextField_path;
    private javax.swing.JTextField jTextField_release;
    private javax.swing.JTextField jTextField_search;
    private javax.swing.JTextField jTextField_searchfield;
    private javax.swing.JTextField jTextField_serveraddress;
    private javax.swing.JTextField jTextField_title;
    private javax.swing.JTextField jTextField_username;
    // End of variables declaration//GEN-END:variables
}
